Bug 111718 - [CI][RESUME] igt@i915_pm_rpm@basic-rte - fail - Failed assertion: setup_environment()
Summary: [CI][RESUME] igt@i915_pm_rpm@basic-rte - fail - Failed assertion: setup_envir...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL: https://www.crazyfigure.com/
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-17 10:27 UTC by Martin Peres
Modified: 2019-10-21 10:05 UTC (History)
1 user (show)

See Also:
i915 platform: TGL
i915 features: power/GT


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-09-17 10:27:21 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5181/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html

Starting subtest: basic-rte
(i915_pm_rpm:2712) CRITICAL: Test assertion failure function __real_main2013, file ../tests/i915/i915_pm_rpm.c:2016:
(i915_pm_rpm:2712) CRITICAL: Failed assertion: setup_environment()
Subtest basic-rte failed.
Comment 1 CI Bug Log 2019-09-17 10:27:42 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* TGL: igt@i915_pm_rpm@basic-rte - fail - Failed assertion: setup_environment()
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3446/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6878/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6881/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3448/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14378/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3449/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14380/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14382/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6884/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14386/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4979/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4981/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4988/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14393/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14395/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3452/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3455/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14398/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14404/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14404/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14407/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14407/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14408/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14408/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14379/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14383/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14387/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3451/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4982/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14401/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6891/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6891/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14405/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14405/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5182/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5182/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14392/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14402/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14402/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3459/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3459/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6892/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6892/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14403/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5181/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5181/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_368/fi-tgl-u2/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14346/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14347/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4978/fi-tgl-u/igt@i915_pm_rpm@basic-rte.html
Comment 2 chinchan 2019-09-18 05:05:23 UTC
Instead of using "raw assert" statements like in your example above, you can use another ... A “debug on error/failure” functionality can easily be provided, by using the after_step() hook. The debugger is started when a step fails. ...  Thanks for sharing.

see: https://www.ms-smart.org/genbrain-review/
Comment 3 sujaritha.sundaresan 2019-09-20 17:41:05 UTC
Bug Assessment :

Reproduction rate : 23.8% (from CI Bug Log) 
Last seen 6 days back on TGL systems.
pm_rpm@basic-rte : Basic subtest to check display wake up time.
In this case, the issue is a failing test assertion.
I will continue to track this but it looks like the bug is not critical for now.
Comment 4 Chris Wilson 2019-10-02 11:42:36 UTC
rc6 enabled again.
Comment 5 Martin Peres 2019-10-16 11:41:55 UTC
(In reply to Chris Wilson from comment #4)
> rc6 enabled again.

Thanks, it has indeed been fixed (used to happen ever 6.8 runs, now not seen in 69 runs).
Comment 6 CI Bug Log 2019-10-16 11:42:08 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.